## wview-5.21.7.tar.gz

=== alarms/sample-datafeed-client/Makefile ===
###############################################################################
#                                                                             #
#  Makefile for the alarm datafeed client example                                            #
#                                                                             #
#  Name                 Date           Description                            #
#  -------------------------------------------------------------------------  #
#  MS Teel              01/10/02       Initial Creation                       #
#                                                                             #
###############################################################################
#  Define the C compiler and its options
CC			= gcc
CC_OPTS			= -Wall -g -O2
SYS_DEFINES		= \
			-D_GNU_SOURCE

#  Define the Linker and its options
LD			= gcc
LD_OPTS			=

#  Define the Library creation utility and it's options
LIB_EXE			= ar
LIB_EXE_OPTS	= -rv

#  Define the dependancy generator
DEP			= gcc -MM

################################  R U L E S  ##################################
#  Generic rule for c files
%.o: %.c
	@echo "Building   $@"
	$(CC) $(CC_OPTS) $(SYS_DEFINES) $(DEFINES) $(INCLUDES) -c $< -o $@


#  Define some general usage vars
#  Libraries
LIBS			= \
			-lc \
			-lz \
			-lrad \
			-lsqlite3

LIBPATH 		= -L/usr/local/lib -L/usr/lib

#  Declare build defines
DEFINES			= \
			-D_DEBUG

#  Any build defines listed above should also be copied here
INCLUDES		= \
			-I. \
			-I../../common \
			-I/usr/local/include

########################### T A R G E T   I N F O  ############################
EXE_IMAGE		= datafeedClient

TEST_OBJS		= \
			../../common/datafeed.o \
			./datafeedClient.o


#########################  E X P O R T E D   V A R S  #########################


################################  R U L E S  ##################################

$(EXE_IMAGE):	$(TEST_OBJS)
	@echo "Linking $@..."
	$(LD) $(LD_OPTS) $(LIBPATH) -o $@ $(TEST_OBJS) $(LIBS)


all: clean $(EXE_IMAGE)


#  Cleanup rules...
clean: 
	rm -rf \
	$(EXE_IMAGE) \
	$(TEST_OBJS)

=== debian/changelog ===
wview (5.21.7-1) unstable; urgency=low

  * New upstream release

 -- Mark Teel <mteel2005@gmail.com>  Wed, 28 May 2014 8:30:00 -0600

wview (5.21.6-1) unstable; urgency=low

  * New upstream release

 -- Mark Teel <mteel2005@gmail.com>  Tue, 27 May 2014 18:30:00 -0600

wview (5.21.5-1) unstable; urgency=low

  * New upstream release

 -- Mark Teel <mteel2005@gmail.com>  Sun, 06 Apr 2014 11:30:00 -0600

wview (5.21.4-1) unstable; urgency=low

  * New upstream release

 -- Mark Teel <mteel2005@gmail.com>  Sun, 06 Apr 2014 10:30:00 -0600

wview (5.21.3-1) unstable; urgency=low

  * New upstream release

 -- Mark Teel <mteel2005@gmail.com>  Mon, 31 Mar 2014 16:30:00 -0600

wview (5.21.2-1) unstable; urgency=low

  * New upstream release

 -- Mark Teel <mteel2005@gmail.com>  Sun, 30 Mar 2014 10:30:00 -0600

wview (5.21.1-1) unstable; urgency=low

  * New upstream release

 -- Mark Teel <mteel2005@gmail.com>  Thu, 13 Mar 2014 10:30:00 -0600

wview (5.21.0-1) unstable; urgency=low

  * New upstream release

 -- Mark Teel <mteel2005@gmail.com>  Wed, 05 Mar 2014 10:30:00 -0600

wview (5.20.2-1) unstable; urgency=low

  * New upstream release

 -- Mark Teel <mteel2005@gmail.com>  Wed, 21 Mar 2012 10:30:00 -0600

wview (5.20.1-1) unstable; urgency=low

  * New upstream release

 -- Mark Teel <mteel2005@gmail.com>  Tue, 20 Mar 2012 10:30:00 -0600

wview (5.20.0-1) unstable; urgency=low

  * New upstream release

 -- Mark Teel <mteel2005@gmail.com>  Sat, 17 Mar 2012 10:30:00 -0600

wview (5.19.0-1) unstable; urgency=low

  * New upstream release

 -- Mark Teel <mteel2005@gmail.com>  Sun, 22 May 2011 10:30:00 -0600

wview (5.18.6-1) unstable; urgency=low

  * New upstream release

 -- Mark Teel <mteel2005@gmail.com>  Fri, 01 Apr 2011 10:30:00 -0600

wview (5.18.5-1) unstable; urgency=low

  * New upstream release

 -- Mark Teel <mteel2005@gmail.com>  Thu, 31 Mar 2011 18:30:00 -0600

wview (5.18.4-1) unstable; urgency=low

  * New upstream release

 -- Mark Teel <mteel2005@gmail.com>  Sat, 26 Mar 2011 10:30:00 -0600

wview (5.18.3-1) unstable; urgency=low

  * New upstream release

 -- Mark Teel <mteel2005@gmail.com>  Sun, 20 Mar 2011 16:30:00 -0600

wview (5.18.2-1) unstable; urgency=low

  * New upstream release

 -- Mark Teel <mteel2005@gmail.com>  Tue, 15 Mar 2011 6:30:00 -0600

wview (5.18.1-1) unstable; urgency=low

  * New upstream release

 -- Mark Teel <mteel2005@gmail.com>  Mon, 14 Mar 2011 14:30:00 -0600

wview (5.18.0-1) unstable; urgency=low

  * New upstream release

 -- Mark Teel <mteel2005@gmail.com>  Sun, 13 Mar 2011 10:30:00 -0600

wview (5.17.3-1) unstable; urgency=low

  * New upstream release

 -- Mark Teel <mteel2005@gmail.com>  Sun, 16 May 2010 10:30:00 -0600

wview (5.17.2-1) unstable; urgency=low

  * New upstream release

 -- Mark Teel <mteel2005@gmail.com>  Sun, 18 Apr 2010 20:30:00 -0600

wview (5.17.1-1) unstable; urgency=low

  * New upstream release

 -- Mark Teel <mteel2005@gmail.com>  Tue, 07 Apr 2010 18:30:00 -0600

wview (5.17.0-1) unstable; urgency=low

  * New upstream release

 -- Mark Teel <mteel2005@gmail.com>  Sun, 04 Apr 2010 21:30:00 -0600

wview (5.16.0-1) unstable; urgency=low

  * New upstream release

 -- Mark Teel <mteel2005@gmail.com>  Sun, 28 Mar 2010 14:30:00 -0600

wview (5.15.0-1) unstable; urgency=low

  * New upstream release

 -- Mark Teel <mteel2005@gmail.com>  Sun, 21 Mar 2010 19:30:00 -0600

wview (5.14.3-1) unstable; urgency=low

  * New upstream release

 -- Mark Teel <mteel2005@gmail.com>  Tue, 02 Mar 2010 17:30:00 -0600

wview (5.14.2-1) unstable; urgency=low

  * New upstream release

 -- Mark Teel <mteel2005@gmail.com>  Thu, 25 Feb 2010 17:30:00 -0600

wview (5.14.1-1) unstable; urgency=low

  * New upstream release

 -- Mark Teel <mteel2005@gmail.com>  Sun, 21 Feb 2010 22:30:00 -0600

wview (5.14.0-1) unstable; urgency=low

  * New upstream release

 -- Mark Teel <mteel2005@gmail.com>  Fri, 19 Feb 2010 10:30:00 -0600

wview (5.12.6-1) unstable; urgency=low

  * New upstream release

 -- Mark Teel <mteel2005@gmail.com>  Sun, 31 Jan 2010 10:30:00 -0600

wview (5.12.5-1) unstable; urgency=low

  * New upstream release

 -- Mark Teel <mteel2005@gmail.com>  Thu, 28 Jan 2010 10:30:00 -0600

wview (5.12.4-1) unstable; urgency=low

  * New upstream release

 -- Mark Teel <mteel2005@gmail.com>  Sun, 24 Jan 2010 10:30:00 -0600

wview (5.12.3-1) unstable; urgency=low

  * New upstream release

 -- Mark Teel <mteel2005@gmail.com>  Sat, 16 Jan 2010 10:30:00 -0600

wview (5.12.2-1) unstable; urgency=low

  * New upstream release

 -- Mark Teel <mteel2005@gmail.com>  Sat, 16 Jan 2010 10:30:00 -0600

wview (5.12.1-1) unstable; urgency=low

  * New upstream release

 -- Mark Teel <mteel2005@gmail.com>  Thu, 14 Jan 2010 10:30:00 -0600

wview (5.12.0-1) unstable; urgency=low

  * New upstream release

 -- Mark Teel <mteel2005@gmail.com>  Wed, 13 Jan 2010 22:30:00 -0600

wview (5.11.0-1) unstable; urgency=low

  * New upstream release

 -- Mark Teel <mteel2005@gmail.com>  Sat, 09 Jan 2010 10:30:00 -0600

wview (5.10.3-1) unstable; urgency=low

  * New upstream release

 -- Mark Teel <mteel2005@gmail.com>  Tue, 05 Jan 2010 21:30:00 -0600

wview (5.10.2-1) unstable; urgency=low

  * New upstream release

 -- Mark Teel <mteel2005@gmail.com>  Sun, 03 Jan 2010 15:00:00 -0600

wview (5.10.1-1) unstable; urgency=low

  * New upstream release

 -- Mark Teel <mteel2005@gmail.com>  Sun, 29 Dec 2009 06:05:00 -0600

wview (5.8.0-1) unstable; urgency=low

* Initial release

 -- Mark Teel <mteel2005@gmail.com>  Sun, 06 Dec 2009 09:55:57 -0600

=== debian/control ===
Source: wview
Section: net
Priority: extra
Maintainer: Mark Teel <mteel2005@gmail.com>
Build-Depends: debhelper (>= 7), autotools-dev, radlib-dev (>= 2.12), libgd2-noxpm-dev, libssl-dev, libcurl4-openssl-dev, sqlite3, libusb-1.0-0-dev, libudev-dev
Standards-Version: 3.8.3
Homepage: http://www.wviewweather.com

Package: wview
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, radlib-dev (>= 2.12), sqlite3, gawk, rsync, libcurl3, libusb-1.0-0
Recommends: apache2, php5-sqlite
Description: unix weather application that generates web sites
 wview is a collection of linux/unix daemons which interface with a supported 
 weather station to retrieve archive records (if generated by the station) and 
 current conditions. The archive records are stored in an SQLite3 database. At a 
 configurable interval, wview will utilize the archive history and current 
 conditions to generate weather images (buckets, dials and graphs) and HTML web 
 pages based on user-configurable HTML templates.
